/* 
 * VEX, a visual editor for XML
 *
 * Copyright (c) 2004 John Krasnay
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package net.sf.vex.swing;

import net.sf.vex.widget.VexWidgetImpl;

/**
 * Generated by a {@VexComponent} when it gains focus, when its caret moves, 
 * and when its selection changes.
 */
public class VexComponentSelection implements Selection {

    private VexWidgetImpl vexComponent;
    
    /**
     * Class constructor.
     * @param vexComponent Component that is generating this change.
     */
    public VexComponentSelection(VexWidgetImpl vexComponent) {
        this.vexComponent = vexComponent;
    }
    
    /**
     * @return {@link VexComponent} that generated this selection event.
     */
    public VexWidgetImpl getVexComponent() {
        return this.vexComponent;
    }
}
